import { ensureBool, fromPoint } from "igniteui-react-core/ES5/componentUtil";
/**
 * Provides data for IgxDataChartComponent mouse button related events.
*/
var DataChartMouseButtonEventArgs = /** @class */ (function () {
    function DataChartMouseButtonEventArgs() {
    }
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    DataChartMouseButtonEventArgs.prototype.onImplementationCreated = function () {
    };
    DataChartMouseButtonEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "handled", {
        /**
         * Gets or sets a value that indicates the present state of the event handling for a routed
         * event as it travels the route.
         * ChartMouseButton events are not routed events; setting this property effects the underlying
         * MouseButtonEvent.
        */
        get: function () {
            return this.i.handled;
        },
        set: function (v) {
            this.i.handled = ensureBool(v);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "originalSource", {
        /**
         * Gets a reference to the object that raised the event.
        */
        get: function () {
            return this.i.originalSource;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "item", {
        /**
         * Gets the ItemsSource item associated with the current event.
        */
        get: function () {
            return this.i.item;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "series", {
        /**
         * Gets the series associated with the current event.
        */
        get: function () {
            if (this.i.series == null) {
                return null;
            }
            return this.i.series.externalObject;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataChartMouseButtonEventArgs.prototype, "chart", {
        /**
         * Gets the Chart associated with the current event.
        */
        get: function () {
            if (this.i.chart == null) {
                return null;
            }
            return this.i.chart.externalObject;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Provides a human readable description of the mouse button event.
    
    */
    DataChartMouseButtonEventArgs.prototype.toString = function () {
        var iv = this.i.toString();
        return (iv);
    };
    /**
     * Returns the x- and y- coordinates of the mouse pointer position, optionally evaluated
     * against the origin of a supplied UIElement.
    
    * @param relativeTo  * Any UIElement derived object that is contained by the the engine plug-in
     * and connected to the object tree. To specify the object relative to the overall the engine
     * coordinate system, use a relativeTo value of null.
    */
    DataChartMouseButtonEventArgs.prototype.getPosition = function (relativeTo) {
        var iv = this.i.getPosition(relativeTo);
        return fromPoint(iv);
    };
    return DataChartMouseButtonEventArgs;
}());
export { DataChartMouseButtonEventArgs };
